Skip to main content
POST
EscalateToEmergencyAccess

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Authorization
string
header
required

This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.

Path Parameters

task_id
string
required

The taskId field.

Body

application/json

The TaskActionsServiceEscalateToEmergencyAccessRequest message.

comment
string

The comment field.

expandMask
Task Expand Mask · object

The task expand mask is an array of strings that specifes the related objects the requester wishes to have returned when making a request where the expand mask is part of the input. Use '*' to view all possible responses.

policyStepId
string

The policyStepId field.

Response

200 - application/json

Successful response

The TaskServiceActionResponse message.

expanded
object[] | null

The expanded field.

taskView
Task View · object

Contains a task and JSONPATH expressions that describe where in the expanded array related objects are located. This view can be used to display a fully-detailed dashboard of task information.

ticketActionId
string

The ticketActionId field.